# Class HeaderBannerItemTableConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for a table that displays header banner items.

    public class HeaderBannerItemTableConfig

Inheritance
  object
  HeaderBannerItemTableConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BgColor

    public string? BgColor { get; set; }

#### Property Value

string

### Field

    public List<string>? Field { get; set; }

#### Property Value

List<string>

### GrowPriority

    public double? GrowPriority { get; set; }

#### Property Value

double?

### Icon

    public bool? Icon { get; set; }

#### Property Value

bool?

### SubType

    public string? SubType { get; set; }

#### Property Value

string

### TextColor

    public string? TextColor { get; set; }

#### Property Value

string

### Title

    public string? Title { get; set; }

#### Property Value

string

### Type

    public DisplayConfigEnums.CellType? Type { get; set; }

#### Property Value

DisplayConfigEnums.CellType?